Overview | Package | Class | Tree | Deprecated | Index | Help
| Portlet API 2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.portlet
Class UnavailableException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.apache.jetspeed.portlet.PortletException
                        |
                        +--org.apache.jetspeed.portlet.UnavailableException

All Implemented Interfaces:
  Serializable

public class UnavailableException
extends PortletException

Use the `UnavailableException` when the instantiation of a portlet fails.

See Also:
  `Portlet.init(PortletConfig)`, Serialized Form

Constructor Summary
`UnavailableException(String text)` Constructs a new exception with the given text.
`UnavailableException(String text, int seconds)` Constructs a new exception with the given text and excepted receovery time.

Method Summary
`int` | `getUnavailableSeconds()` Returns the number of seconds that this portlet is expected to be temporarily unavailable.

Methods inherited from class org.apache.jetspeed.portlet.PortletException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnavailableException

    public UnavailableException(String text)

  Constructs a new exception with the given text.
  Parameters:
    `text` - the exception text

### UnavailableException

    public UnavailableException(String text,
                                int seconds)

  Constructs a new exception with the given text and excepted receovery time. The expected recovery time describes how long the portlet is expected to be out of service.
  Parameters:
    `text` - the exception text
    `aSeconds` - the number of seconds

Method Detail

### getUnavailableSeconds

    public int getUnavailableSeconds()

  Returns the number of seconds that this portlet is expected to be temporarily unavailable.

  If this method returns a negative number, the portlet is permanently unavailable or cannot provide an estimate of how long it will be unavailable. No effort is made to correct for the time elapsed since the exception was first reported.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Portlet API 2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD